Skip to Content

Your render presets

Needs the scope jobs:read

The render presets of your account: camera, lighting, background, size and format sets our team saved for you. Name one in a packshot job's options.preset.

Query Parameters

type?string

Only presets of this type.

Value in"packshot""scene"

Response Body

OK

application/json
  1. response
presets*array<>
Example Request
curl -sS "https://platform.charpstar.co/api/v1/presets?type=packshot" \  -H "Authorization: Bearer $CHARPSTAR_API_KEY"
Example Response
{  "presets": [    {      "id": "3b2a1c0d-0000-4000-8000-000000000031",      "name": "Armchairs and lounge chairs",      "type": "packshot",      "description": null,      "defaults": {        "views": [          "FrontRight",          "FrontLeft",          "Front",          "Back",          "Side"        ],        "background": "#FFFFFF",        "size": 2000,        "aspectRatio": "1:1",        "format": "jpg",        "shadows": false,        "lighting": "studio"      },      "exampleUrl": null    },    {      "id": "3b2a1c0d-0000-4000-8000-000000000032",      "name": "Marketplace (GS1)",      "type": "packshot",      "description": null,      "defaults": {        "views": [          "1C",          "1L",          "1R",          "7C"        ],        "background": "#FFFFFF",        "size": 2000,        "aspectRatio": "1:1",        "format": "jpg",        "shadows": true,        "lighting": "studio"      },      "exampleUrl": null    }  ]}